import Vue from 'vue';
import axios from './router/axios';
import VueAxios from 'vue-axios';
import App from './App';
import router from './router/router';
import './permission'; // 权限
import './error'; // 日志
import './cache'; //页面缓存
import store from './store';
import { loadStyle } from './util/util'
import * as urls from '@/config/env';
import Element from 'element-ui';
import '@/styles/xiaoyu.scss'
import {
    iconfontUrl,
    iconfontVersion
} from '@/config/env';
import '@/util/xiaoyu'
import i18n from './lang'; // Internationalization
import './styles/common.scss';
import basicBlock from './components/basic-block/main';
import basicContainer from './components/basic-container/main';
import thirdRegister from './components/third-register/main';
import flowDesign from './components/flow-design/main';
import HcTableFormUpload from './components/table-form/hc-form-upload';
import HcFormSelectSearch from './components/table-form/hc-form-select-search';
import HcFormSelectSearch2 from './components/table-form/hc-form-select-search2';
import HcFormCheckboxGroup from './components/table-form/hc-form-checkbox-group';
import avueUeditor from 'avue-plugin-ueditor';
import website from '@/config/website';
import crudCommon from '@/mixins/crud';
// 业务组件
import tenantPackage from './views/system/tenantpackage';

//iconfont
import "@/styles/icon/index.scss"
//自定义指令按钮
import preventClick from './util/preventClick'
import * as filters from "./util/filter"   //新增过滤器
// register global utility filters 注册全局过滤 此处是新添加内容002
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key]);
})
Vue.use(preventClick)
// 注册全局crud驱动
window.$crudCommon = crudCommon;
// 加载Vue拓展
Vue.use(router);
Vue.use(VueAxios, axios);
Vue.use(Element, {
    i18n: (key, value) => i18n.t(key, value)
});
Vue.use(window.AVUE, {
    size: 'small',
    tableSize: 'small',
    calcHeight: 65,
    i18n: (key, value) => i18n.t(key, value)
});
// 注册全局容器
Vue.component('basicContainer', basicContainer);
Vue.component('basicBlock', basicBlock);
Vue.component('thirdRegister', thirdRegister);
Vue.component('avueUeditor', avueUeditor);
Vue.component('flowDesign', flowDesign);
Vue.component('tenantPackage', tenantPackage);
Vue.component('HcTableFormUpload', HcTableFormUpload);
Vue.component('HcFormSelectSearch', HcFormSelectSearch);
Vue.component('HcFormSelectSearch2', HcFormSelectSearch2);
Vue.component('HcFormCheckboxGroup', HcFormCheckboxGroup);
// 加载相关url地址
Object.keys(urls).forEach(key => {
    Vue.prototype[key] = urls[key];
});
// 加载NutFlow
Vue.use(window.WfDesignBase);
// 加载website
Vue.prototype.website = website;
// 动态加载阿里云字体库
iconfontVersion.forEach(ele => {
    loadStyle(iconfontUrl.replace('$key', ele));
});
Vue.config.productionTip = false;

new Vue({
    router,
    store,
    i18n,
    render: h => h(App)
}).$mount('#app');
